Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.spi.core.remoting
Interface BufferHandler

All Known Subinterfaces:
  RemotingConnection

    public interface BufferHandler

A BufferHandler that will handle buffers received by an acceptor.

The Buffer Handler will decode the buffer and take the appropriate action, typically forwarding to the correct channel.

Author:
  Tim Fox

Method Summary
`void` | `bufferReceived(Object connectionID, HornetQBuffer buffer)` called by the remoting connection when a buffer is received.

Method Detail

### bufferReceived

    void bufferReceived(Object connectionID,
                        HornetQBuffer buffer)

  called by the remoting connection when a buffer is received.

  Parameters:
    `connectionID` - the connection the buffer was received on
    `buffer` - the buffer to decode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.